# -*- coding: utf-8 -*-
# nacte r hodnot z experimentu a vrátí seznam v=[x,y], []
# r = pocet hodnot
def exp():
    
  import numpy as np
  r=rozsah=9376;
#   r=rozsah=1984; #počet hodnot 
#   r=rozsah=1970
  import os
  os.chdir('..')
  os.chdir('mereni')
  crdir=os.getcwd()
  nazev=crdir+'//tlak_jedno_5.TRA'        
    
  # nazev souboru ke čtení
  preskoc = 2 # počet řádků, které má program přeskočit (popisky, informace)
  S=[0,3,1] # sloupce které chceme načíst [x,y] (indexováno od 0)
  delimiter=' ' # oddělovač, kterým jsou oddělené jednotlivé sloupce
  
 
  
  # preskoceni radku
  file = open(nazev)
  for preskoc in range(preskoc): line = file.readline()  
  
  #pomocné proměnné  
  a=[];
  x=[];
  y=[];
  z=[];
  
  atx=[]
  aty=[]
  
  
  # counter
  i=1;
  while 1:
      line = file.readline()
      if not line:
          break
      b=line.split(delimiter)
      a.append(b)
      #posuv grafu
      sila_pos=0
      pos_pos=0
      
      
           
      y.append(float(b[S[0]]))     
      x.append(float(b[S[1]]))    
      z.append(float(b[S[2]])/1000.0)
      
      if i==r: break
      i=i+1;
  file.close()
  


  return (x,y,z)
  
# kontrola


#        test=y.index(np.max(y))
#   print test
# 
# 
#   import matplotlib.pyplot as plt
#   plt.plot(x,y)
#   plt.show()
  

  

  
# načte data z mkp (vlastni verze vystupu)


def fem():
    ## zjištuje jestli hodnota je číslo
    def num(s):
        try:
            float(s)
            return True
        except ValueError:
            return False
            
            
    # nazev souboru
    nazev=('output_fem_tlak.txt');
    file = open(nazev)
    
    #preskoceni radku s textem
    preskoc=3 #pocet radku k preskoceni 
    for preskoc in range(preskoc): line = file.readline()  
        
    
    ## nacteni mkp dat
    p2=[];
    x=[];
    while 1:
        line = file.readline()
    
        if not line:
            break
        else:
          for a in range(0,len(line)-1):
              if line[a]==' ' and line[a+1]==' ':
                   continue
              else:
                 p2.append(line[a])
                            
    p2=''.join(p2)
    b=p2.split(' ')  
    file.close()
    v=[]
    a=[]
    p=1;
    s1=[]
    s2=[]
    s3=[]
    for c in range (0,len(b)):
         if num(b[c]):
            a.append(b[c])
            
            if p==1: s1.append(float(b[c])); #čas
            if p==2: s2.append(-float(b[c])); # posunutí 
            if p==3: s3.append(float(b[c])); # reakce
            p=p+1  
            
         if p>3:p=1
    

    return (s1,s3,s2)          